{% extends 'base.html.twig' %}

{% block title %}Sym.shop - Catégorie{% endblock %}

{% block body %}

    <div class="d-flex justify-content-center">
        <h1 class="mt-4">Catégories</h1>
    </div>
    <small>Il y'a {{ categories.getTotalItemCount }} catégories au total</small>
    <table class="table">
        <thead>
            <tr>
                <th>ID</th>
                <th>Nom</th>
                <th>Description</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for category in categories %}
            <tr>
                <td>{{ category.id }}</td>
                <td>{{ category.name }}</td>
                <td>{{ category.description }}</td>
                <td>
                    <a class="btn btn-primary btn-sm" href="{{ path('category_show', {'id': category.id}) }}">Ouvrir</a>
                    <a class="btn btn-info btn-sm" href="{{ path('category_edit', {'id': category.id}) }}">Editer</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="4">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
                    {# display navigation #}
        <div class="navigation d-flex justify-content-center mt-4">
            {{ knp_pagination_render(categories) }}
        </div>
        <div class="d-flex justify-content-center">
            <a class="btn btn-primary mb-4" href="{{ path('category_new') }}">Nouvelle catégorie</a>
            <a class="btn btn-light mb-4" href="{{ path('crud_product_index') }}" style="margin: 0 0 1rem 2rem">Produit</a>
        </div>
    
{% endblock %}
